Subject: bug#78521: Error: No package in XXX with `package-install-file`

From: Jen-Chieh Shen <[email-masked]>
Date: Tue, 20 May 2025 17:08:38 -0700

Hi,

I recently encountered an error, No package in XXX, when using the
package-install-file function in the latest Emacs snapshot. This function
was working correctly as of May 5, 2025, but started failing sometime after
May 8, 2025. I suspect there may have been a breaking change introduced.

This issue only affects the snapshot build—my CI tests cover Emacs versions
26.3, 27.2, 28.2, 29.4, 30.1, and the snapshot, and all versions except the
snapshot pass. You can view the test results here:
https://github.com/emacs-eask/cli/actions/runs/14904371642.

Thanks,
Jen-Chieh Shen